## scim 1.4.14

=== debian/changelog ===
scim (1.4.14-6) unstable; urgency=low

  [ William Grant ]
  * control: build with dh-autoreconf instead of autotools-dev for new libtool

  [ Rolf Leggewie ]
  * fix spelling mistake in scim-im-agent manpage
  * control: bump standards version to 3.9.5. no further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 08 Feb 2014 04:06:12 +0100

scim (1.4.14-5) unstable; urgency=low

  * add scim-im-agent man page

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 16 Jun 2013 23:55:33 +0900

scim (1.4.14-4) unstable; urgency=low

  [ Rolf Leggewie ]
  * control: drop obsolete DMUA field

  [ Tz-Huan Huang ]
  * patches: backport upstream fix to one compiler warning

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 15 Jun 2013 18:02:36 +0900

scim (1.4.14-3) unstable; urgency=low

  * control:
    - update info about binary package incompatibilities. Closes: #680988
    - set scim-clutter-immodule to MA:same
    - drop inactive co-maintainer
    - bump to policy 3.9.4
  * scim-dev-doc:
    - let libjs-jquery provide jquery.js instead of shipping our own
    - stop shipping private copy of FreeSans.ttf
  * copyright: update my copyright to 2013

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 11 May 2013 18:25:00 +0800

scim (1.4.14-2) unstable; urgency=low

  * release 1.4.14-1x1 to unstable

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Jul 2012 12:04:35 +0800

scim (1.4.14-1x1) experimental; urgency=low

  * scim-clutter-immodule: install files from multi-arch paths.
    Closes: #679724

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 04 Jul 2012 12:35:06 +0800

scim (1.4.14-1) unstable; urgency=low

  [ Rolf Leggewie ]
  * new upstream release 1.4.14
    - drop 32_scim-1.4.8-fix-dlopen.patch which has landed upstream
  * bump compat level to 9
  * debian/control: add Toni Mueller as co-maintainer
    Welcome aboard!

  [ Tz-Huan Huang ]
  * start shipping a couple of newly introduced im-module packages
  * debian/rules:
    - simplify dh_auto_install override where upstream changes allow this
    - drop -fpermissive from CXXFLAGS, fixed upstream
  * debian/README.*: update the documentation

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 30 Jun 2012 11:21:42 +0800

=== debian/control ===
Source: scim
Section: utils
Priority: optional
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
Standards-Version: 3.9.5
Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
 dh-autoreconf, pkg-config, x11proto-core-dev, libx11-dev,
 libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
 libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
 libltdl-dev, intltool, doxygen
Homepage: http://www.scim-im.org/
Vcs-git: git://git.debian.org/git/collab-maint/scim.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git

Package: scim
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: scim-gtk-immodule, im-config | im-switch, scim-im-agent
Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
Description: smart common input method platform
 Smart Common Input Method (SCIM) is an input method (IM) platform.  Input
 methods are needed to enter complex characters in many non-latin languages.
 SCIM provides a common platform for various plugin modules and independent IM
 programs, as well as a set of modules and programs on its own.  It is highly
 modularized and exposes abstract interfaces, so that plugin modules with
 different functions can easily communicate with each other.  The currently
 supported module types are configuration, IM engine, front end, filter, and
 setup GUI.
 .
 SCIM achieves the communication between IM engines and front ends through
 both shared library linking and server/client mode.  It supports XIM
 protocol, as well as GTK+ IM module and Qt IM module.
 .
 This package is the main binary package of SCIM.  It includes: the main
 program scim (GTK+ based) and other support programs; simple configuration
 module, X11 front end module, rawcode IM engine module,
 simplified/traditional Chinese conversion filter module, and their
 corresponding setup GUI modules; GTK+ panel and its setup GUI module; and a
 GTK+ based setup tool.
 .
 SCIM is a well accepted platform and features various input method engines
 for many languages.  In Debian you can find the following separately packaged
 IMs useful: scim-tables-{additional,ja,ko,zh}, scim-pinyin, scim-uim,
 scim-m17n, scim-chewing, scim-anthy, scim-canna, scim-prime, and scim-skk.
 GTK+ users would also find package scim-gtk-immodule useful for GTK+ IM
 module support.
 .
 For development on SCIM platform, please see the description of scim-dev
 package.

Package: libscim8c2a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides runtime libraries for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: libscim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
 libgtk-3-dev | libgtk2.0-dev (<< 2.21), libpango1.0-dev, ${misc:Depends}
Description: development library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides development libraries on SCIM platform, including the
 header files and static libraries.  The development documentations can be
 found in the scim-dev-doc package.
 .
 SCIM can be used as a dynamically loaded library on a single machine, or as a
 server/client model through socket in a network environment.  As a component
 of the system, SCIM can work with existing IM framework such as XIM or IIIMF
 (in progress), as well as using client specific IM interface, such as GTK+
 IM module or Qt IM module.  SCIM provides an IM application, scim, which use
 various IM engines to provide input methods for many languages, either by
 native modules (such as scim-pinyin and scim-hangul) or interfaces to other
 IM libraries (such as scim-anthy, scim-uim, scim-m17n, and scim-chewing).
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-gtk-immodule
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: scim-gtk2-immodule, scim-gtk-immodule
Conflicts: scim-gtk2-immodule, scim-gtk-immodule
Replaces: scim-gtk2-immodule
Enhances: scim
Description: GTK+ input method module with SCIM as backend
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is the GTK+ native input method module for SCIM.  It provides
 a GTK+ IM module for version 2 and 3 of GTK with SCIM as the input backend.
 This input method module should work within all GTK+ platforms, including
 gtk-x11, gtk-linuxfb and gtk-directfb.
 .
 The GTK+ IM module communicates with SCIM backend through the IM agent
 provided by scim-im-agent package.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-qt-immodule
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: scim-bridge-client-qt4
Conflicts: scim-bridge-client-qt, scim-bridge-client-qt4
Enhances: scim
Description: Qt input method module with SCIM as backend
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is the Qt native input method module for SCIM.  It provides
 a Qt IM module for version 4 of Qt with SCIM as the input backend.
 This input method module should work within all Qt platforms.
 .
 The Qt IM module communicates with SCIM backend through the IM agent
 provided by scim-im-agent package.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-clutter-immodule
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Enhances: scim
Description: Clutter input method module with SCIM as backend
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is the clutter native input method module for SCIM.  It provides
 a clutter IM module for clutter-1.0 with SCIM as the input backend.
 This input method module should work within all clutter platforms.
 .
 The clutter IM module communicates with SCIM backend through the IM agent
 provided by scim-im-agent package.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-im-agent
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: scim-bridge-agent
Conflicts: scim-bridge-agent
Enhances: scim
Description: IM agent for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the IM agent for SCIM. SCIM provides various IM modules
 for Gtk/Qt/clutter program. The IM modules connumicate with SCIM through the
 IM agent.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-modules-socket
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: scim
Description: socket modules for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the socket modules for SCIM.  SCIM can use a local or
 inet socket as the front end and connect to the configuration and IM engine
 modules.  Then other computers and/or environments can share these input
 methods by connecting to the socket with socket IM engine module and socket
 configure module.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev
Section: devel
Architecture: all
Depends: libscim-dev (>= ${source:Version}), scim-dev-doc (= ${source:Version}), ${misc:Depends}
Description: development files for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is a metapackage to provide development libraries and
 documentations for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev-doc
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Architecture: all
Description: development documentation for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package contains doxygen-generated HTML development documentation
 for SCIM APIs.
 .
 For more information about SCIM and SCIM development, please see the
 description of scim and scim-dev packages.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	AUTOPOINT="intltoolize --automake --copy" dh_autoreconf

override_dh_auto_build:
	$(MAKE) docs
	rm -f docs/html/FreeSans.ttf
	dh_auto_build

override_dh_auto_install:
	set -e
	dh_auto_install
	# empty the dependency_libs field in .la files (bug 591628)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install:
	set -e

	for FILE in debian/*.install.in; \
	do \
		sed -e "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" $$FILE > debian/`basename $$FILE .in`; \
	done

	dh_install
	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule
	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gtkmodules -p scim-gtk-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a

## scim 1.4.15

=== debian/changelog ===
scim (1.4.15-6) unstable; urgency=medium

  [ Chris Boot ]
  * scim.prerm: stop failing on two valid arguments. Closes: #813260

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 21 Feb 2016 20:33:29 +0800

scim (1.4.15-5) unstable; urgency=medium

  [ Rolf Leggewie ]
  * control: drop unused Pre-Depends line from a number of binary pkgs

  [ Matthias Klose ]
  * Rename libscim8c2a to libscim8v5 for the libstdc++6 triggered ABI
    change. Closes: #791275.
    - Add Conflict/Replaces to the old package as necessary
    - Adjust lintian override files as necessary

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 06 Aug 2015 23:06:52 +0800

scim (1.4.15-4) experimental; urgency=medium

  [ Tz-Huan Huang ]
  * control: multi-archify the scim-im-agent package

  [ Rolf Leggewie ]
  * postinst: stop special-casing a long-gone package version

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 10 Nov 2014 13:41:33 +0800

scim (1.4.15-3) unstable; urgency=medium

  * prerm: stop calling "ua --remove" on upgrade and deconfigure. See #71621

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 08 Nov 2014 22:54:07 +0800

scim (1.4.15-2) unstable; urgency=medium

  * no-change rebuild

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 25 Oct 2014 13:25:35 +0900

scim (1.4.15-1) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * new upstream release 1.4.15
    - build successfully with clang instead of gcc. Closes: #750115
    - drop 03_backport_964b2221.patch which has landed upstream
  * debian/control:
    - bump to policy 3.9.6
    - update Homepage
    - add intltool and autopoint to Build-Depends
  * debian/rules:
    - use scim's bootstrap script for dh_autoreconf
    - make sure that clutter-immodule continues to be built

  [ Rolf Leggewie ]
  * patches: backport 88fbabed7dc2 to disable subdir-objects.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 23 Oct 2014 04:38:37 +0900

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
- dh-autoreconf, pkg-config, x11proto-core-dev, libx11-dev,
+ dh-autoreconf, intltool, autopoint, pkg-config, x11proto-core-dev, libx11-dev,
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
  libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
- libltdl-dev, intltool, doxygen
-Homepage: http://www.scim-im.org/
+ libltdl-dev, doxygen
+Homepage: https://sourceforge.net/projects/scim/
 Vcs-git: git://git.debian.org/git/collab-maint/scim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
 
 Package: scim
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: scim-gtk-immodule, im-config | im-switch, scim-im-agent
 Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
@@ -51,12 +50,14 @@
  For development on SCIM platform, please see the description of scim-dev
  package.
 
-Package: libscim8c2a
+Package: libscim8v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libscim8c2a
+Replaces: libscim8c2a
 Description: library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
@@ -68,8 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
+Depends: libscim8v5 (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
  libgtk-3-dev | libgtk2.0-dev (<< 2.21), libpango1.0-dev, ${misc:Depends}
 Description: development library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
@@ -92,7 +92,6 @@
 Package: scim-gtk-immodule
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Provides: scim-gtk2-immodule, scim-gtk-immodule
@@ -115,7 +114,6 @@
 Package: scim-qt-immodule
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Provides: scim-bridge-client-qt4
@@ -136,7 +134,6 @@
 Package: scim-clutter-immodule
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Enhances: scim
@@ -154,7 +151,7 @@
 
 Package: scim-im-agent
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Depends: scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: scim-bridge-agent
 Conflicts: scim-bridge-agent
@@ -171,7 +168,6 @@
 Package: scim-modules-socket
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: scim
 Description: socket modules for SCIM platform

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@ --with autoreconf
 
 override_dh_autoreconf:
-	AUTOPOINT="intltoolize --automake --copy" dh_autoreconf
+	./bootstrap
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-clutter-immodule
 
 override_dh_auto_build:
 	$(MAKE) docs
@@ -33,11 +36,11 @@
 
 	dh_install
 	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule
-	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
+	LD_LIBRARY_PATH=debian/libscim8v5/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
 		dh_gtkmodules -p scim-gtk-immodule
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4)"
+	dh_makeshlibs -p libscim8v5 -V "libscim8v5 (>= 1.4)"
 
 override_dh_shlibdeps:
-	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a
+	dh_shlibdeps -l debian/libscim8v5/usr/lib -L libscim8v5

=== debian/watch ===
# debian/watch file for scim
# written by Ming Hua on 2006.11.25

# format version number
version=3
# special URL parsed as qa.debian.org redirector for sourceforge
http://sf.net/scim/scim-(1\.4\.[\d\.]*)\.tar\.gz debian uupdate

## scim 1.4.16

=== debian/changelog ===
scim (1.4.16-3) unstable; urgency=medium

  [ Santiago Vila ]
  * scimplify build process and make it more robust. Closes: #806105
    - Drop unnecessary use of "set -e" in debian/rules.
    - Drop unnecessary use of debian/*.install.in files.
    - Rename override_dh_install to override_dh_install-arch
      for dpkg-buildpackage -A to work

  [ Rolf Leggewie ]
  * control:
    - add Benda to Debian Scim Maintainers
      a warm welcome to the team!
    - update to latest Debian standard 3.9.8. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 23 May 2016 15:25:27 +0800

scim (1.4.16-2) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * patches
    - backport 790a0d15be15 to fix the black boxes issue. Closes: #675715

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 May 2016 09:24:27 +0800

scim (1.4.16-1) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * new Upstream release 1.4.16
  * patches:
    - drop disable-subdir-objects after pushing it upstream
    - rebase 01_scim_config.patch to newest upstream code
    - backport 6ac4af3bfd36 to fix text drawing bug for gtk >= 3.20. Closes: #820746

  [ Rolf Leggewie ]
  * control: update to Debian Standard 3.9.7. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 23 Apr 2016 21:31:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
-Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
-Standards-Version: 3.9.6
+Uploaders: Tz-Huan Huang <tzhuan@gmail.com>, Benda Xu <heroxbd@gentoo.org>
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
  dh-autoreconf, intltool, autopoint, pkg-config, x11proto-core-dev, libx11-dev,
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),

## scim 1.4.17

=== debian/changelog ===
scim (1.4.17-1) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * new upstream release 1.4.17
    - fixes "scim breaks compose key". Closes: #618763, LP: #610979.
    - fixes "Backspace and delete keys dysfunctional in gedit".
      Closes: #747154, LP: #1315579, LP: #343708, LP: #157289.
    - fixes "problem in 'quick find/search' of generic file manager".
      Closes: #821869, LP: #287719.
  * drop two patches that were upstreamed

  [ Rolf Leggewie ]
  * control: switch homepage for scim from sf.net to github

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 31 May 2016 15:15:06 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
  libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
  libltdl-dev, doxygen
-Homepage: https://sourceforge.net/projects/scim/
+Homepage: https://github.com/scim-im/scim
 Vcs-git: git://git.debian.org/git/collab-maint/scim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git

## scim 1.4.18

=== debian/changelog ===
scim (1.4.18-2) unstable; urgency=medium

  * copyright: update to 2018
  * control:
    - update VCS URIs
    - update to Debian Standard 4.1.4

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Apr 2018 20:08:23 +0800

scim (1.4.18-1) unstable; urgency=medium

  * new upstream version 1.4.18
    - compiles fine with gcc7. Closes: #853654
  * update watch file to point to github
  * copyright: update my copyright to 2017
  * control: update to Debian Standard 4.1.0

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 29 Aug 2017 10:37:28 +0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Uploaders: Tz-Huan Huang <tzhuan@gmail.com>, Benda Xu <heroxbd@gentoo.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
  dh-autoreconf, intltool, autopoint, pkg-config, x11proto-core-dev, libx11-dev,
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
  libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
  libltdl-dev, doxygen
 Homepage: https://github.com/scim-im/scim
-Vcs-git: git://git.debian.org/git/collab-maint/scim.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
+Vcs-Browser: https://github.com/leggewie-DM/scim
+Vcs-Git: git@github.com:leggewie-DM/scim.git
 
 Package: scim
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	dh_auto_build
 
 override_dh_auto_install:
-	set -e
 	dh_auto_install
 	# empty the dependency_libs field in .la files (bug 591628)
 	find debian/tmp/usr/lib/ -name *.la -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
@@ -26,14 +25,7 @@
 override_dh_installdocs:
 	dh_installdocs -X Makefile
 
-override_dh_install:
-	set -e
-
-	for FILE in debian/*.install.in; \
-	do \
-		sed -e "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" $$FILE > debian/`basename $$FILE .in`; \
-	done
-
+override_dh_install-arch:
 	dh_install
 	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule
 	LD_LIBRARY_PATH=debian/libscim8v5/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \

## scim 1.4.18+git20211204

=== debian/changelog ===
scim (1.4.18+git20211204-0.5) unstable; urgency=medium

  * Non-maintainer upload
  * scim-gtk-immodule: Avoid direct dependency on gtk2, gtk3, or gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 13:38:59 -0500

scim (1.4.18+git20211204-0.4) unstable; urgency=medium

  * Team upload.
  * Non-maintainer upload.
  * d/watch:
     - Version=5
     - Use Git mode to really catch what is packaged
  * Maintain package in Debian team on Salsa
    Closes: #1125197
  * ACK NMU 1.4.18-2.1 (Closes: #901056)
  * debhelper-compat = 13
  * Adapt path doc-base to new location chosen by dehhelper-compat 13
  * d/copyright:
     - DEP5
     - extensive review
  * Fix clean target
    Closes: #1048318
  * Standards-Version: 4.7.3 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jan 2026 14:38:14 +0100

scim (1.4.18+git20211204-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * add d/patches/071bf29d5125343d1f4fb7d024b22342171a5174.patch to fix FTBFS
    with GCC 15 (Closes: #1097855)
  * d/control: s#pkg-config#pkgconf# while I'm at it

 -- Florian Ernst <florian@debian.org>  Mon, 29 Dec 2025 18:10:04 +0100

scim (1.4.18+git20211204-0.2) unstable; urgency=medium

  [ tzhuan ]
  * Disable clutter-immodule build. Closes: #1018138

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 17:01:00 -0400

scim (1.4.18+git20211204-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git HEAD snapshot.
  * debian/patches/03_scim_spelling_fixes.patch: Dropped, merged upstream.
  * debian/control: Enable GTK4 immodule build. (Closes: #1003691)
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/not-installed: Explicitly list files not installed.
  * Move debian/TODO.Debian to debian/TODO (lintian).

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 14:11:59 -0500

scim (1.4.18-2.2) unstable; urgency=medium

  * Non-maintainer upload. I took just one part of Tz-Hua's merge request
    because there was already an NMU in the archive. See #875250 for more
    details.

  [ Tz-Huan Huang ]
  * Disable qt-immodules build. Closes: #875258, Closes: #875250

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 28 Dec 2019 20:45:08 -0300

scim (1.4.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Use a recommended URI format in the Vcs-Git field.
    - Update the package description of scim-gtk-immodule.
    - Mark scim-dev-doc Multi-Arch: foreign (Closes: #901051).
  * debian/patches:
    - Add a patch to detect whether certain xsl files exist on the build
      machine, instead of the host machine. Thanks to Helmut Grohne for
      supplying the patch (Closes: #876162).
    - Add a patch fixing several spelling errors.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Drop obsolete call to dh_gtkmodules (Closes: #897987).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 19 Jun 2018 23:15:00 +1000

=== debian/control ===
Source: scim
Standards-Version: 4.7.3
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Uploaders:
 Tz-Huan Huang <tzhuan@gmail.com>,
 Benda Xu <heroxbd@gentoo.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 intltool,
 autopoint,
 pkgconf,
 x11proto-core-dev,
 libx11-dev,
 libpango1.0-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev,
 libltdl-dev,
 doxygen,
 libgtk-4-dev,
Vcs-Browser: https://salsa.debian.org/debian/scim
Vcs-Git: https://salsa.debian.org/debian/scim.git
Homepage: https://github.com/scim-im/scim

Package: scim
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 scim-gtk-immodule,
 im-config | im-switch,
 scim-im-agent,
Suggests:
 scim-uim,
 scim-pinyin,
 scim-hangul,
 scim-chewing,
 scim-m17n,
 scim-prime,
 scim-anthy,
 scim-skk,
 scim-tables-additional,
 scim-tables-ja,
 scim-tables-ko,
 scim-tables-zh,
 scim-thai,
Description: smart common input method platform
 Smart Common Input Method (SCIM) is an input method (IM) platform.  Input
 methods are needed to enter complex characters in many non-latin languages.
 SCIM provides a common platform for various plugin modules and independent IM
 programs, as well as a set of modules and programs on its own.  It is highly
 modularized and exposes abstract interfaces, so that plugin modules with
 different functions can easily communicate with each other.  The currently
 supported module types are configuration, IM engine, front end, filter, and
 setup GUI.
 .
 SCIM achieves the communication between IM engines and front ends through
 both shared library linking and server/client mode.  It supports XIM
 protocol, as well as GTK IM module.
 .
 This package is the main binary package of SCIM.  It includes: the main
 program scim (GTK based) and other support programs; simple configuration
 module, X11 front end module, rawcode IM engine module,
 simplified/traditional Chinese conversion filter module, and their
 corresponding setup GUI modules; GTK panel and its setup GUI module; and a
 GTK based setup tool.
 .
 SCIM is a well accepted platform and features various input method engines
 for many languages.  In Debian you can find the following separately packaged
 IMs useful: scim-tables-{additional,ja,ko,zh}, scim-pinyin, scim-uim,
 scim-m17n, scim-chewing, scim-anthy, scim-canna, scim-prime, and scim-skk.
 GTK users would also find package scim-gtk-immodule useful for GTK IM
 module support.
 .
 For development on SCIM platform, please see the description of scim-dev
 package.

Package: libscim8v5
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libscim8c2a,
Replaces:
 libscim8c2a,
Description: library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides runtime libraries for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: libscim-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libscim8v5 (= ${binary:Version}),
 libx11-dev,
 libgtk-3-dev,
 libpango1.0-dev,
 ${misc:Depends},
Description: development library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides development libraries on SCIM platform, including the
 header files and static libraries.  The development documentations can be
 found in the scim-dev-doc package.
 .
 SCIM can be used as a dynamically loaded library on a single machine, or as a
 server/client model through socket in a network environment.  As a component
 of the system, SCIM can work with existing IM framework such as XIM or IIIMF
 (in progress), as well as using client specific IM interface, such as GTK
 IM module.  SCIM provides an IM application, scim, which use various IM
 engines to provide input methods for many languages, either by native modules
 (such as scim-pinyin and scim-hangul) or interfaces to other IM libraries
 (such as scim-anthy, scim-uim, scim-m17n, and scim-chewing).
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-gtk-immodule
Architecture: any
Multi-Arch: same
Depends:
 scim (= ${binary:Version}),
 scim-im-agent (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 scim,
Conflicts:
 scim-gtk2-immodule,
Provides:
 scim-gtk2-immodule,
Replaces:
 scim-gtk2-immodule,
Description: GTK input method module, with SCIM as the input backend
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is the GTK native input method module for SCIM.  It provides
 a GTK IM module for versions 2, 3, and 4 of GTK, with SCIM as the input backend.
 This input method module should work within all GTK platforms, including
 gtk-x11, gtk-linuxfb and gtk-directfb.
 .
 The GTK IM module communicates with the SCIM backend through the IM agent
 provided by the scim-im-agent package.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-im-agent
Architecture: any
Multi-Arch: foreign
Depends:
 scim-modules-socket (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 scim,
Conflicts:
 scim-bridge-agent,
Provides:
 scim-bridge-agent,
Description: IM agent for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the IM agent for SCIM. SCIM provides various IM modules
 for Gtk program. The IM modules communicate with SCIM through the
 IM agent.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-modules-socket
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 scim,
Description: socket modules for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the socket modules for SCIM.  SCIM can use a local or
 inet socket as the front end and connect to the configuration and IM engine
 modules.  Then other computers and/or environments can share these input
 methods by connecting to the socket with socket IM engine module and socket
 configure module.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev
Architecture: all
Section: devel
Depends:
 libscim-dev (>= ${source:Version}),
 scim-dev-doc (= ${source:Version}),
 ${misc:Depends},
Description: development files for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is a metapackage to provide development libraries and
 documentations for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 libjs-jquery,
Description: development documentation for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package contains doxygen-generated HTML development documentation
 for SCIM APIs.
 .
 For more information about SCIM and SCIM development, please see the
 description of scim and scim-dev packages.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

execute_after_dh_auto_clean:
	find . -name Makefile.in -delete
	rm -rf libltdl m4

override_dh_autoreconf:
	./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --disable-qt3-immodule --disable-qt4-immodule

execute_before_dh_auto_build:
	$(MAKE) docs
	rm -f docs/html/FreeSans.ttf

execute_after_dh_auto_install:
	# empty the dependency_libs field in .la files (bug 591628)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install-arch:
	dh_install
	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8v5 -V "libscim8v5 (>= 1.4)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8v5/usr/lib -L libscim8v5 -- \
		-xlibgtk2.0-0t64 -xlibgtk-3-0t64 -xlibgtk-4-1

=== debian/watch ===
Version: 5

Source: https://github.com/scim-im/scim.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.4.18+git%cd

## scim 1.4.18-2

=== debian/changelog ===
scim (1.4.18-2-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:48:38 +0800

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --enable-clutter-immodule --disable-qt3-immodule --disable-qt4-immodule

override_dh_auto_build:
	$(MAKE) docs
	rm -f docs/html/FreeSans.ttf
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# empty the dependency_libs field in .la files (bug 591628)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install-arch:
	dh_install
	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8v5 -V "libscim8v5 (>= 1.4)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8v5/usr/lib -L libscim8v5

## scim client-0.1.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = scim_client
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
